Summary:       A 2D graphics library
Name:          cairo
Version:       1.17.4
Release:       3%{?dist}
License:       LGPLv2 or MPLv1.1
URL:           http://cairographics.org
Source0:       http://cairographics.org/snapshots/%{name}-%{version}.tar.xz
Patch0001:     0001-Set-default-LCD-filter-to-FreeType-s-default.patch
Patch0002:     pdf-font-subset-generate-valid-font-names.patch

BuildRequires: make, gcc, pkgconfig, glib2-devel, chrpath
BuildRequires: libXrender-devel, libX11-devel, libpng-devel, pixman-devel >= 0.30.0, librsvg2-devel
BuildRequires: libxml2-devel, freetype-devel >= 2.1.9, fontconfig-devel >= 2.2.95

%description
Cairo is a 2D graphics library with support for multiple output devices.
Currently supported output targets include the X Window System (via both
Xlib and XCB), Quartz, Win32, image buffers, PostScript, PDF, and SVG
file output. Experimental backends include OpenGL, BeOS, OS/2, and DirectFB.

Cairo is designed to produce consistent output on all output media while
taking advantage of display hardware acceleration when available.

%package gobject
Summary: GObject bindings for cairo
Requires: %{name} = %{version}-%{release}

%description gobject
This package provides DSO to make cairo graphics library
integrate well with the GObject object system.

%package gobject-devel
Summary: Development files for cairo-gobject
Requires: %{name}-devel = %{version}-%{release}
Requires: %{name}-gobject = %{version}-%{release}

%description gobject-devel
This package contains libraries, header files for developers who use the
cairo Gobject library.

%package tools
Summary: Development tools for cairo

%description tools
This package provides tools for working with the cairo graphics library.

%package devel
Summary: Development files for cairo
Requires: %{name} = %{version}-%{release}

%description devel
This package provides libraries, header files for developers who use
the cairo graphics library.

%prep
%autosetup -p1

%build
%configure --disable-static	\
	--enable-xlib		\
	--enable-ft		\
	--enable-ps		\
	--enable-pdf		\
	--enable-svg		\
	--enable-tee		\
	--enable-gobject	\
	--disable-gl		\
	--disable-gtk-doc
%make_build

%install
%make_install
find %{buildroot} -name '*.la' -delete
find %{buildroot} -type f -name "*.so*" -o -type f -executable -print -exec chrpath --delete {} \;

%files
%license COPYING COPYING-LGPL-2.1 COPYING-MPL-1.1
%doc AUTHORS BIBLIOGRAPHY BUGS NEWS README
%{_libdir}/libcairo.so.2*
%{_libdir}/libcairo-script-interpreter.so.2*

%files gobject
%{_libdir}/libcairo-gobject.so.2*

%files gobject-devel
%{_includedir}/cairo/cairo-gobject.h
%{_libdir}/libcairo-gobject.so
%{_libdir}/pkgconfig/cairo-gobject.pc

%files tools
%{_bindir}/cairo-trace
%{_libdir}/cairo/

%files devel
%doc ChangeLog PORTING_GUIDE
%dir %{_includedir}/cairo/
%{_includedir}/cairo/cairo-deprecated.h
%{_includedir}/cairo/cairo-features.h
%{_includedir}/cairo/cairo-ft.h
%{_includedir}/cairo/cairo.h
%{_includedir}/cairo/cairo-pdf.h
%{_includedir}/cairo/cairo-ps.h
%{_includedir}/cairo/cairo-script-interpreter.h
%{_includedir}/cairo/cairo-svg.h
%{_includedir}/cairo/cairo-tee.h
%{_includedir}/cairo/cairo-version.h
%{_includedir}/cairo/cairo-xlib-xrender.h
%{_includedir}/cairo/cairo-xlib.h
%{_includedir}/cairo/cairo-script.h
%{_includedir}/cairo/cairo-xcb.h
%{_libdir}/libcairo.so
%{_libdir}/libcairo-script-interpreter.so
%{_libdir}/pkgconfig/cairo-fc.pc
%{_libdir}/pkgconfig/cairo-ft.pc
%{_libdir}/pkgconfig/cairo.pc
%{_libdir}/pkgconfig/cairo-pdf.pc
%{_libdir}/pkgconfig/cairo-png.pc
%{_libdir}/pkgconfig/cairo-ps.pc
%{_libdir}/pkgconfig/cairo-svg.pc
%{_libdir}/pkgconfig/cairo-tee.pc
%{_libdir}/pkgconfig/cairo-xlib.pc
%{_libdir}/pkgconfig/cairo-xlib-xrender.pc
%{_libdir}/pkgconfig/cairo-script.pc
%{_libdir}/pkgconfig/cairo-xcb-shm.pc
%{_libdir}/pkgconfig/cairo-xcb.pc
%{_datadir}/gtk-doc/html/cairo

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.17.4-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.17.4-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Jul 11 2022 cunshunxia <cunshunxia@tencent.com> - 1.17.4-1
- initial build
